# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module Trace
      module V2
        # The request message for the `BatchWriteSpans` method.
        # @!attribute [rw] name
        #   @return [::String]
        #     Required. The name of the project where the spans belong. The format is
        #     `projects/[PROJECT_ID]`.
        # @!attribute [rw] spans
        #   @return [::Array<::Google::Cloud::Trace::V2::Span>]
        #     Required. A list of new spans. The span names must not match existing
        #     spans, otherwise the results are undefined.
        class BatchWriteSpansRequest
          include ::Google::Protobuf::MessageExts
          extend ::Google::Protobuf::MessageExts::ClassMethods
        end
      end
    end
  end
end
